package cn.com.yict.framemax.frame.entity;


public class LargeModelConfigEntity {

    /** id
     *主键ID
     */
    private java.lang.Integer id;

    public java.lang.Integer getId(){
        return this.id;
    }

    public void setId(java.lang.Integer id){
        this.id = id;
    }


    /** PARAM_CODE
     *  模型代码
     */
    private java.lang.String paramCode;

    public java.lang.String getParamCode(){
        return this.paramCode;
    }

    public void setParamCode(java.lang.String paramCode){
        this.paramCode = paramCode;
    }

    /** PARAM_VALUE
     *  模型名称
     */
    private java.lang.String paramValue;

    public java.lang.String getParamValue(){
        return this.paramValue;
    }

    public void setParamValue(java.lang.String paramValue){
        this.paramValue = paramValue;
    }


    /** max_tokens
     *openai 参数
     */
    private java.lang.Integer maxTokens;

    public java.lang.Integer getMaxTokens(){
        return this.maxTokens;
    }

    public void setMaxTokens(java.lang.Integer maxTokens){
        this.maxTokens = maxTokens;
    }


    /** presence_penalty
     *openai 参数(话题新鲜度)
     */
    private java.lang.Long presencePenalty;

    public java.lang.Long getPresencePenalty(){
        return this.presencePenalty;
    }

    public void setPresencePenalty(java.lang.Long presencePenalty){
        this.presencePenalty = presencePenalty;
    }


    /** temperature
     *openai 参数(随机性)
     */
    private java.lang.Long temperature;

    public java.lang.Long getTemperature(){
        return this.temperature;
    }

    public void setTemperature(java.lang.Long temperature){
        this.temperature = temperature;
    }


    /** top_p
     *openai 参数
     */
    private java.lang.Long topP;

    public java.lang.Long getTopP(){
        return this.topP;
    }

    public void setTopP(java.lang.Long topP){
        this.topP = topP;
    }


    /** prompt_value
     *提示词
     */
    private java.lang.String promptValue;

    public java.lang.String getPromptValue(){
        return this.promptValue;
    }

    public void setPromptValue(java.lang.String promptValue){
        this.promptValue = promptValue;
    }


    /** assistant_content
     *助手词
     */
    private java.lang.String assistantContent;

    public java.lang.String getAssistantContent(){
        return this.assistantContent;
    }

    public void setAssistantContent(java.lang.String assistantContent){
        this.assistantContent = assistantContent;
    }


    /** timbre_id
     *音色ID
     */
    private java.lang.Integer timbreId;

    public java.lang.Integer getTimbreId(){
        return this.timbreId;
    }

    public void setTimbreId(java.lang.Integer timbreId){
        this.timbreId = timbreId;
    }


    /** timbre_name
     *音色名字
     */
    private java.lang.String timbreName;

    public java.lang.String getTimbreName(){
        return this.timbreName;
    }

    public void setTimbreName(java.lang.String timbreName){
        this.timbreName = timbreName;
    }


    /** is_deleted
     *是否删除 1、Y 是 2、N 否
     */
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }

    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }

    @Override
    public String toString() {
        return "LargeModelConfigEntity{" +
                "id=" + id +
                ", paramCode='" + paramCode + '\'' +
                ", paramValue='" + paramValue + '\'' +
                ", maxTokens=" + maxTokens +
                ", presencePenalty=" + presencePenalty +
                ", temperature=" + temperature +
                ", topP=" + topP +
                ", promptValue='" + promptValue + '\'' +
                ", assistantContent='" + assistantContent + '\'' +
                ", timbreId=" + timbreId +
                ", timbreName='" + timbreName + '\'' +
                ", isDeleted='" + isDeleted + '\'' +
                '}';
    }
}
